cdac.medinfo.sdk.hl7282.baselibs.segments

## Class NPU

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.NPU

- All Implemented Interfaces:
    ISegment

      public class NPU
      extends Segment

  NPU - Bed Status Update Segment

  The NPU segment allows the updating of census (bed status) data without sending patient-specific data.

  Represents an HL7 NPU message segment. This segment has the following fields:

  NPU-1: Bed Location (PL)Required
  NPU-2: Bed Status (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NPU()` Constructs the NPU segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PL` | `getBedLocation()` Retrieves the Bed Location.
    `CWE` | `getBedStatus()` Retrieves the Bed Status.
    `void` | `setBedLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, java.lang.String strBuilding, java.lang.String strFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Bed Location.
    `void` | `setBedLocation(PL objBedLocation)` Set the Bed Location.
    `void` | `setBedStatus(CWE objbedStatus)` Set the Bed Status.
    `void` | `setBedStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bed Status.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NPU

          public NPU()

      Constructs the NPU segment.

  - ### Method Detail

    - #### getBedLocation

          public PL getBedLocation()

      Retrieves the Bed Location. This field contains the bed location that is a valid bed location.
      Returns:
        PL - bedLocation

    - #### getBedStatus

          public CWE getBedStatus()

      Retrieves the Bed Status. This field contains the bed status.
      Returns:
        String - bedStatus

    - #### setBedLocation

          public void setBedLocation(HD objPointOfCare,
                            HD objRoom,
                            HD objBed,
                            HD objFacility,
                            java.lang.String strLocationStatus,
                            java.lang.String strPersonLocationType,
                            java.lang.String strBuilding,
                            java.lang.String strFloor,
                            java.lang.String strLocationDescription,
                            EI objComprehensiveLocationIdentifier,
                            HD objAssigningAuthorityForLocation)

      Set the Bed Location. This field contains the bed location that is a valid bed location.
      Parameters:
        `strPointOfCare` - Used as PointOfCare
        `strRoom` - Used as Room
        `strBed` - Used as Bed
        `objFacility` - Used as Facility
        `strLocationStatus` - Used as LocationStatus
        `strPersonLocationType` - Used as PersonLocationType
        `strBuilding` - Used as Building
        `strFloor` - Used as Floor
        `strLocationDescription` - Used as LocationDescription
        `objComprehensiveLocationIdentifier` - Used as ComprehensiveLocationIdentifier
        `objAssigningAuthorityForLocation` - Used as AssigningAuthorityForLocation

    - #### setBedLocation

          public void setBedLocation(PL objBedLocation)

      Set the Bed Location. This field contains the bed location that is a valid bed location.
      Parameters:
        `objBedLocation` - object of Bed Location.

    - #### setBedStatus

          public void setBedStatus(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bed Status. This field contains the bed status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBedStatus

          public void setBedStatus(CWE objbedStatus)

      Set the Bed Status. This field contains the bed status.
      Parameters:
        `objbedStatus` - object of Bed Status.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails